package domainprovider

import (
	dimp "github.com/tech/sendico/pkg/domainprovider/imp"
	"github.com/tech/sendico/pkg/mlogger"
)

type DomainProvider interface {
	GetFullLink(linkElem ...string) (string, error)
	GetAPILink(linkElem ...string) (string, error)
}

func CreateDomainProvider(logger mlogger.Logger, domain, protocol, apiEndpoint string) (DomainProvider, error) {
	return dimp.CreateDomainProviderImp(logger, domain, protocol, apiEndpoint)
}
